# Get daily data

`DailyDynamicValues` represent a direct relation of one day as one value. Due to the nature of this data type, only one data point can exist per Thryve Biomarker per day. `DailyDynamicValues` can be, e.g., the sum of all steps a person took in a day. The value (e.g., the daily steps) of `DailyDynamicValues` are updated throughout the day.

Please check the [data type documentation](/thryve-product-overview/access/data-types-biomarker.md) for valueTypes (dataTypeIds) definitions and availability.

## Retrieve DailyDynamicValues for a user

> Retrieve harmonized daily aggregated data (e.g., daily steps) for one user within a specified time range.<br>

```json
{"openapi":"3.1.0","info":{"title":"Thryve API","version":"5.0.0"},"servers":[{"url":"https://api.thryve.de"}],"paths":{"/v5/dailyDynamicValues":{"post":{"summary":"Retrieve DailyDynamicValues for a user","tags":["Health Data"],"description":"Retrieve harmonized daily aggregated data (e.g., daily steps) for one user within a specified time range.\n","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"},"description":"Basic Auth for your username:password. Required for all endpoints"},{"name":"AppAuthorization","in":"header","required":true,"schema":{"type":"string"},"description":"Basic Auth for your authID:authSecret. Required for all endpoints."}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/DailyDynamicValuesRequest"}}}},"responses":{"200":{"description":"Request successful. Returns an array of DailyDynamicValues per user.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DailyDynamicValuesResponseItem"}}}}},"400":{"description":"Error response (invalid parameters, unauthorized, etc.).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"DailyDynamicValuesRequest":{"type":"object","required":["authenticationToken"],"oneOf":[{"required":["startDay","endDay"]},{"required":["startTimestampUnix","endTimestampUnix"]}],"properties":{"authenticationToken":{"type":"string","description":"The unique identifier of a user in Thryve's system. Newer interfaces call this parameter endUserId."},"startDay":{"type":"string","description":"Day timestamp following ISO 8601 for the start of the period."},"endDay":{"type":"string","description":"Day timestamp following ISO 8601 for the end of the period."},"startTimestampUnix":{"type":"integer","description":"Unix timestamp in milliseconds for the beginning of the period."},"endTimestampUnix":{"type":"integer","description":"Unix timestamp in milliseconds for the end of the period."},"valueTypes":{"type":"string","description":"Comma-separated Thryve DataType IDs to filter by."},"dataSources":{"type":"string","description":"Comma-separated Thryve data source IDs to filter by."},"detailed":{"type":"boolean","description":"If true, includes additional recording information."},"displayPartnerUserID":{"type":"boolean","description":"If true, includes partnerUserID in the response."},"displayTypeName":{"type":"boolean","description":"If true, includes data type names (STRING) in the response."}}},"DailyDynamicValuesResponseItem":{"type":"object","properties":{"authenticationToken":{"type":"string","description":"The unique identifier of a user in Thryve's system. Newer interfaces call this parameter endUserId."},"partnerUserID":{"type":"string","description":"The optional alias set by the developer when creating a user. Newer interfaces call this parameter endUserAlias."},"dataSources":{"type":"array","items":{"type":"object","properties":{"dataSource":{"type":"integer","description":"ID of the data source (e.g., 1 for Fitbit)."},"data":{"type":"array","items":{"type":"object","properties":{"day":{"type":"string","description":"ISO 8601 timestamp for the day"},"timestampUnix":{"type":"integer","description":"Unix timestamp in milliseconds for midnight in UTC for the day."},"createdAt":{"type":"string","description":"ISO 8601 timestamp when data point was created/updated."},"createdAtUnix":{"type":"integer","description":"Unix timestamp when data point was created/updated."},"details":{"type":"object","description":"Optional JSON object containing additional information (e.g., timezoneOffset)."},"dailyDynamicValueType":{"type":"string","description":"Thryve DataTypeID (e.g., 1000 for Steps)."},"dailyDynamicValueTypeName":{"type":"string","description":"Name of the daily dynamic value type (e.g., 'Steps')."},"value":{"type":"string","description":"Value for that day."},"valueType":{"type":"string","description":"Type of value provided (LONG, DOUBLE, STRING, DATE, BOOLEAN)."}}}}}}}}},"ErrorResponse":{"type":"string"}}}}
```

{% hint style="warning" %}
When retrieving the desired data period, a startDay and endDay, startTimestampUnix and endTimestampUnix or a createdAfterUnix date need to be added as parameters to the request. \
If both startDay and startTimestampUnix are provided, the system will use the ISO format and ignore the Unix timestamps entirely.\
The query range is set to a maximum of 364 days.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thryve.health/access-data-via-wearable-api/get-daily-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
